Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Interface WeightMatrix

All Known Implementing Classes:
  SimpleWeightMatrix

    public interface WeightMatrix

A log odds weight matrix.

The weight matrix uses computer-coordinates. Thus, a 10 column weight matrix has columns (0 - 9). I guess that if you try to access columns outside the logical range, the implementation may throw an IndexOutOfBoundsException.

Author:
  Matthew Pocock

Method Summary
`int` | `columns()` The number of columns modeled by the weight matrix.
`Alphabet` | `getAlphabet()` The alphabet for the sequences that this weight matrix models.
`Distribution` | `getColumn(int column)` Retrieve a column as an EmissionState.

Method Detail

### getAlphabet

    Alphabet getAlphabet()

  The alphabet for the sequences that this weight matrix models.

  Returns:
    the Alphabet

### columns

    int columns()

  The number of columns modeled by the weight matrix.

  Returns:
    the number of columns

### getColumn

    Distribution getColumn(int column)
                           throws IndexOutOfBoundsException

  Retrieve a column as an EmissionState.

  To find the emission probability for Symbol sym at column col use: `wm.getColumn(col).getWeight(sym)`.

  Parameters:
    `column` - the weight matrix column to retrieve
  Returns:
    the EmissionState that represents the individual column
  Throws:
    `IndexOutOfBoundsException` - if column is not between 0 and columns()-1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD